package com.ywt.params.api.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @author daiyihua
 * @create 2022-02-11 15:38
 * @program glasses_service
 * @description 下载商品订单详情VO
 **/
@ApiModel(value = "下载商品订单详情VO")
public class DownloadOrdersDetailVO implements Serializable {

    @ApiModelProperty(value = "商品订单ID", example = "")
    private int goodsOrdersId;

    @ApiModelProperty(value = "订单详情ID", example = "")
    private int goodsOrdersDetailId;

    @ApiModelProperty(value = "订单编号", example = "")
    private String orderNo;

    @ApiModelProperty(value = "取货方式：0-自取，1邮寄", example = "")
    private int getChannel;

    @ApiModelProperty(value = "商品ID", example = "")
    private int goodsId;

    @ApiModelProperty(value = "商品名称", example = "")
    private String goodsName;

    @ApiModelProperty(value = "商品类型", example = "")
    private String typeName;

    @ApiModelProperty(value = "商品规格", example = "")
    private String goodsSpec;

    @ApiModelProperty(value = "商品单价，折扣后的价格，单位：分", example = "")
    private int goodsPriceInt;

    @ApiModelProperty(value = "商品单价，折扣后的价格，单位：元", example = "")
    private String goodsPrice;

    @ApiModelProperty(value = "商品数量", example = "")
    private int goodsNumber;

    @ApiModelProperty(value = "商品支付价格，单位：分", example = "")
    private int payAmountInt;

    @ApiModelProperty(value = "商品支付价格，单位：元", example = "")
    private String payAmount;

    @ApiModelProperty(value = "创建时间", example = "")
    private String createTime;

    @ApiModelProperty(value = "创建时间", example = "")
    private Date createTimeDate;

    @ApiModelProperty(value = "支付时间", example = "")
    private String paymentTime;

    @ApiModelProperty(value = "支付时间", example = "")
    private Date paymentTimeDate;

    @ApiModelProperty(value = "退费时间", example = "")
    private String refundTime;

    @ApiModelProperty(value = "退费时间", example = "")
    private Date refundTimeDate;

    @ApiModelProperty(value = "分组用，可空", example = "")
    private String groupBy;

    public int getGoodsOrdersId() {
        return goodsOrdersId;
    }

    public void setGoodsOrdersId(int goodsOrdersId) {
        this.goodsOrdersId = goodsOrdersId;
    }

    public int getGoodsOrdersDetailId() {
        return goodsOrdersDetailId;
    }

    public void setGoodsOrdersDetailId(int goodsOrdersDetailId) {
        this.goodsOrdersDetailId = goodsOrdersDetailId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public int getGetChannel() {
        return getChannel;
    }

    public void setGetChannel(int getChannel) {
        this.getChannel = getChannel;
    }

    public int getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(int goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getGoodsSpec() {
        return goodsSpec;
    }

    public void setGoodsSpec(String goodsSpec) {
        this.goodsSpec = goodsSpec;
    }

    public int getGoodsPriceInt() {
        return goodsPriceInt;
    }

    public void setGoodsPriceInt(int goodsPriceInt) {
        this.goodsPriceInt = goodsPriceInt;
    }

    public String getGoodsPrice() {
        return goodsPrice;
    }

    public void setGoodsPrice(String goodsPrice) {
        this.goodsPrice = goodsPrice;
    }

    public int getGoodsNumber() {
        return goodsNumber;
    }

    public void setGoodsNumber(int goodsNumber) {
        this.goodsNumber = goodsNumber;
    }

    public int getPayAmountInt() {
        return payAmountInt;
    }

    public void setPayAmountInt(int payAmountInt) {
        this.payAmountInt = payAmountInt;
    }

    public String getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(String payAmount) {
        this.payAmount = payAmount;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public Date getCreateTimeDate() {
        return createTimeDate;
    }

    public void setCreateTimeDate(Date createTimeDate) {
        this.createTimeDate = createTimeDate;
    }

    public String getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(String paymentTime) {
        this.paymentTime = paymentTime;
    }

    public Date getPaymentTimeDate() {
        return paymentTimeDate;
    }

    public void setPaymentTimeDate(Date paymentTimeDate) {
        this.paymentTimeDate = paymentTimeDate;
    }

    public String getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(String refundTime) {
        this.refundTime = refundTime;
    }

    public Date getRefundTimeDate() {
        return refundTimeDate;
    }

    public void setRefundTimeDate(Date refundTimeDate) {
        this.refundTimeDate = refundTimeDate;
    }

    public String getGroupBy() {
        return groupBy;
    }

    public void setGroupBy(String groupBy) {
        this.groupBy = groupBy;
    }
}
